it.reply.healty.innovapuglia.mstaccuino.service.data

## Class InfoViaggiDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.InfoViaggiDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>

      @Component
      public class InfoViaggiDataService
      extends Object
      implements IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoViaggiDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InfoViaggio` | `addNtt(NotaTaccuino nota, ViaggioRequestDTO viaggiRequest)` Aggiunge al database una nuova istanza di tipo InfoViaggio
    `void` | `deprecaNtt(InfoViaggio viaggio)` Cancella logicamente l'istanza di tipo InfoViaggio inserita in input
    `List<InfoViaggio>` | `findAllNttById(String idNota)` Recupera l'elenco di InfoViaggio associati ad un id nota
    `InfoViaggio` | `getNttById(String idViaggio)` Restituisce le info viaggio in stato attivo in base all'ID in input
    `InfoViaggio` | `updateNtt(InfoViaggio viaggio, ViaggioRequestDTO newViaggioDto)` Crea e salva un'istanza di tipo InfoViaggio aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoViaggiDataService

          public InfoViaggiDataService()

  - ### Method Detail

    - #### addNtt

          public InfoViaggio addNtt(NotaTaccuino nota,
                                    ViaggioRequestDTO viaggiRequest)
                             throws FaultException

      Aggiunge al database una nuova istanza di tipo InfoViaggio
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `viaggiRequest` - Oggetto contenente i dati di input del viaggio
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(InfoViaggio viaggio)
                          throws FaultException

      Cancella logicamente l'istanza di tipo InfoViaggio inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>`
      Parameters:
        `viaggio` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public InfoViaggio updateNtt(InfoViaggio viaggio,
                                       ViaggioRequestDTO newViaggioDto)
                                throws FaultException

      Crea e salva un'istanza di tipo InfoViaggio aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>`
      Parameters:
        `viaggio` - Vecchia istanza dell'oggetto da modificare
        `newViaggioDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNttById

          public InfoViaggio getNttById(String idViaggio)
                                 throws FaultException,
                                        InfoViaggioNonTrovatoException

      Restituisce le info viaggio in stato attivo in base all'ID in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>`
      Parameters:
        `idViaggio` - l'ID del viaggio da cercare
      Returns:
        Il viaggio attivo trovato
      Throws:
        `FaultException` - Quando c'è qualche problema durante l'interrogazione del database
        `InfoViaggioNonTrovatoException` - Quando non viene trovata nessun info viaggio attivo con quell'ID

    - #### findAllNttById

          public List<InfoViaggio> findAllNttById(String idNota)
                                           throws FaultException

      Recupera l'elenco di InfoViaggio associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,ViaggioRequestDTO,InfoViaggio,InfoViaggioNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di InfoViaggio, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.